Aracılığıyla paylaş


Cluster Principal Assignments - Get

Kusto kümesi principalAssignment alır.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2025-02-14

URI Parametreleri

Name İçinde Gerekli Tür Description
clusterName
path True

string

pattern: ^.*$

Kusto kümesinin adı.

principalAssignmentName
path True

string

pattern: ^.*$

Kusto principalAssignment adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

subscriptionId
path True

string

minLength: 1

Hedef aboneliğin kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

ClusterPrincipalAssignment

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

KustoClusterPrincipalAssignmentsGet

Örnek isteği

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2025-02-14

Örnek yanıt

{
  "name": "kustoCluster/kustoprincipal1",
  "type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
  "properties": {
    "aadObjectId": "98765432-1234-1234-1234-123456789123",
    "principalId": "87654321-1234-1234-1234-123456789123",
    "principalName": "TestApp",
    "principalType": "App",
    "provisioningState": "Succeeded",
    "role": "AllDatabasesAdmin",
    "tenantId": "12345678-1234-1234-1234-123456789123",
    "tenantName": "tenantName"
  }
}

Tanımlar

Name Description
ClusterPrincipalAssignment

Bir küme temel atamasını temsil eden sınıf.

ClusterPrincipalRole

Küme sorumlusu rolü.

createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

PrincipalType

Asıl tür.

ProvisioningState

Kaynağın sağlanan durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

ClusterPrincipalAssignment

Bir küme temel atamasını temsil eden sınıf.

Name Tür Description
id

string

Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Kaynağın adı

properties.aadObjectId

string

AAD'de (Azure active directory) hizmet principal object id

properties.principalId

string

Küme sorumlusuna atanan asıl kimlik. Kullanıcı e-postası, uygulama kimliği veya güvenlik grubu adı olabilir.

properties.principalName

string

Ana isim

properties.principalType

PrincipalType

Asıl tür.

properties.provisioningState

ProvisioningState

Kaynağın sağlanan durumu.

properties.role

ClusterPrincipalRole

Küme sorumlusu rolü.

properties.tenantId

string

Sorumlunun kiracı kimliği

properties.tenantName

string

Müdürün kiracı adı

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

ClusterPrincipalRole

Küme sorumlusu rolü.

Değer Description
AllDatabasesAdmin

AllDatabasesAdmin

AllDatabasesViewer

AllDatabasesViewer

AllDatabasesMonitor

AllDatabasesMonitor

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

PrincipalType

Asıl tür.

Değer Description
App

Uygulama

Group

Grup

User

User

ProvisioningState

Kaynağın sağlanan durumu.

Değer Description
Running

Koşmak

Creating

Oluşturma

Deleting

Siliniyor

Succeeded

Succeeded

Failed

Başarısız oldu

Moving

Hareketli

Canceled

İptal edildi

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.